Skip to content

Update Template

PUT
/api/creative/email/templates/{template_id}

Update an email template.

template_id
required
Template Id
string
UpdateEmailTemplateRequest

Request body for updating an email template.

object
name
Any of:
string
category
Any of:
string
subjectTemplate
Any of:
string
bodyTemplate
Any of:
string
variables
Any of:
Array<string>

Successful Response

EmailTemplateResponse

Response wrapper for single template operations.

object
success
required
Success

Operation success

boolean
template
Any of:
EmailTemplateData

An email template.

object
id
required
Id

Template ID

string
name
required
Name
string
category
required
Category
string
subjectTemplate
required
Subjecttemplate
string
bodyTemplate
required
Bodytemplate
string
variables
Variables
Array<string>
isDefault
required
Isdefault
boolean
createdAt
required
Createdat

Unix timestamp

integer
modifiedAt
required
Modifiedat

Unix timestamp

integer
error
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object